package cn.finedo.engine.service;

import cn.finedo.common.date.DateUtil;
import cn.finedo.common.domain.ReturnValueDomain;
import cn.finedo.common.non.NonUtil;
import cn.finedo.common.protocol.HttpClientResponse;
import cn.finedo.common.protocol.HttpClientUtil;
import cn.finedo.common.util.ServerConfigUtil;
import cn.finedo.engine.cache.PublicCache;
import cn.finedo.engine.domain.ActionComponent;
import cn.finedo.engine.domain.DatasplitComponent;
import cn.finedo.engine.domain.EmosDomain;
import cn.finedo.engine.domain.LogFeedbackDomain;
import cn.finedo.engine.domain.ServiceCanvasDomain;
import cn.finedo.engine.dto.ActionInstanceDataDto;
import cn.finedo.engine.service.NoticeSendLogService;
import cn.finedo.engine.service.NewItilInterface.1;
import cn.finedo.engine.util.ConfigManager;
import cn.finedo.engine.util.FileUpUtils;
import cn.finedo.fsdp.service.common.jdbc.JdbcTemplate;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.function.BiConsumer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class NewItilInterface {

   private final Logger logger = LoggerFactory.getLogger(NewItilInterface.class);
   @Autowired
   private JdbcTemplate fsdpjdbcTemplate;
   @Autowired
   NoticeSendLogService noticeSendLogService;


   public ReturnValueDomain datapush(ActionInstanceDataDto dto) {
      this.logger.info("服务修复平台文件推送canvasid:{},uuid:{},datasetid:{},time:{}", new Object[]{dto.getCanvasid(), dto.getUuid(), dto.getDatasetid(), DateUtil.getNowTime("yyyy-MM-dd HH:mm:ss")});
      long starttime = System.currentTimeMillis();
      ReturnValueDomain ret = new ReturnValueDomain();
      String canvasid = dto.getCanvasid();
      String datasetid = dto.getDatasetid();
      ServiceCanvasDomain canvas = PublicCache.getCanvas(canvasid, datasetid);
      ActionComponent actionComponent = canvas.getActionComponent(dto.getUuid());
      HashMap params = new HashMap();
      params.put("canvasid", canvasid);
      params.put("canvasname", canvas.getName());
      params.put("starttime", actionComponent.getSendstartdate() + " " + actionComponent.getSendstarttime());
      params.put("endtime", actionComponent.getOverTimeStr());
      StringBuffer sql = new StringBuffer();
      String alias = actionComponent.getAlias();
      params.put("strategytype", actionComponent.getStrategyType());
      params.put("speechcraft", actionComponent.getTemplate());
      params.put("priority", "");
      Map datasplitMap = canvas.getDatasplitMap();
      if(NonUtil.isNotNon(datasplitMap)) {
         Iterator caseArray = datasplitMap.keySet().iterator();

         while(caseArray.hasNext()) {
            String caseList = (String)caseArray.next();
            DatasplitComponent packArray = (DatasplitComponent)datasplitMap.get(caseList);
            if(NonUtil.isNotNon(packArray.getPriorityMap()) && NonUtil.isNotNon(packArray.getPriorityMap().get(dto.getUuid()))) {
               params.put("priority", String.valueOf(packArray.getPriorityMap().get(dto.getUuid())));
               break;
            }
         }
      }

      JSONArray var52 = JSON.parseArray(actionComponent.getActivitys());
      ArrayList var53 = new ArrayList();
      if(NonUtil.isNotNon(var52)) {
         for(int var54 = 0; var54 < var52.size(); ++var54) {
            if(!"".equals(var52.getJSONObject(var54).getString("act_id"))) {
               HashMap packList = new HashMap();
               packList.put("act_id", var52.getJSONObject(var54).getString("act_id"));
               packList.put("act_name", var52.getJSONObject(var54).getString("act_name"));
               var53.add(packList);
            }
         }
      }

      params.put("marketing_case", var53);
      JSONArray var55 = JSON.parseArray(actionComponent.getPackages());
      ArrayList var56 = new ArrayList();
      if(NonUtil.isNotNon(var55)) {
         for(int sqlLabel = 0; sqlLabel < var55.size(); ++sqlLabel) {
            if(!"".equals(var55.getJSONObject(sqlLabel).getString("prcid"))) {
               HashMap labelList = new HashMap();
               labelList.put("prcid", var55.getJSONObject(sqlLabel).getString("prcid"));
               labelList.put("prcname", var55.getJSONObject(sqlLabel).getString("prcname"));
               var56.add(labelList);
            }
         }
      }

      params.put("ordered", var56);
      params.put("btypename", actionComponent.getBusinesstypename());
      params.put("btypeid", actionComponent.getBusinesstype());
      params.put("repairtype", actionComponent.getRepairType());
      params.put("custtype", actionComponent.getCusttype());
      params.put("networktype", actionComponent.getNetworktype());
      if(NonUtil.isNotNon(actionComponent.getSurveycontent())) {
         params.put("surveycontent", JSON.parseArray(actionComponent.getSurveycontent()));
      } else {
         params.put("surveycontent", new ArrayList());
      }

      StringBuilder var57 = new StringBuilder();
      var57.append(" SELECT a.LIST_TITLE listtitle,create_source customkey1 FROM tb_sc_dataset a WHERE ID = :datasetid");
      new ArrayList();

      List var58;
      try {
         var58 = this.fsdpjdbcTemplate.query(var57.toString(), dto, EmosDomain.class);
      } catch (Exception var48) {
         this.logger.error("查询用户所属数据集标签异常", var48);
         return ret.setFail("查询用户所属数据集标签异常");
      }

      String labelJson = ((EmosDomain)var58.get(0)).getListtitle();
      params.put("datasource", ((EmosDomain)var58.get(0)).getCustomkey1());
      Map jsonMap = (Map)JSON.parse(labelJson);
      StringBuilder paramKeys = new StringBuilder("");
      jsonMap.forEach((value, param3) -> {
         paramKeys.append(",b.").append(key);
      });
      sql.setLength(0);
      sql.append("select aa.* from (");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'551\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_551 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'552\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_552 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'553\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_553 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'554\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_554 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'555\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_555 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'556\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_556 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'557\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_557 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'558\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a ,tb_sc_user_label_558 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'559\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_559 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'550\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_550 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'561\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_561 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'562\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_562 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'563\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_563 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'564\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_564 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'566\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a ,tb_sc_user_label_566 b  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum ");
      sql.append(" union ");
      sql.append(" select a.uccgn,a.uccmn,a.canvas_id canvasid,a.uuid,a.phonenum,a.question_id questionid,a.areacode,\'567\' as tempcode,new_uuid newuuid ");
      sql.append(paramKeys);
      sql.append(" from tb_sc_action_data a,tb_sc_user_label_567 b ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid and a.phonenum=b.phonenum )aa,");
      sql.append(" (select distinct a.phonenum,a.areacode from tb_sc_action_data a  ");
      sql.append(" where a.action_id=\'10\' and a.status=\'10I\' and a.canvas_id=:canvasid and a.uuid=:uuid and a.data_set_id=:datasetid) bb, ");
      sql.append(" tb_sc_action_instance cc,tb_sc_canvas_instance dd ");
      sql.append(" where aa.phonenum=bb.phonenum and aa.areacode=bb.areacode and bb.areacode=aa.tempcode ");
      sql.append(" and aa.canvasid=cc.canvas_id and aa.uuid=cc.uuid and aa.canvasid=dd.canvas_id ");
      sql.append(" and cc.status =\'运行中\' and dd.status=\'运行中\' and rownum<50001 ");
      List list = null;

      try {
         HashMap localpath = new HashMap();
         localpath.put("canvasid", canvasid);
         localpath.put("uuid", dto.getUuid());
         localpath.put("datasetid", datasetid);
         list = this.fsdpjdbcTemplate.queryForList(sql.toString(), localpath);
         this.logger.info("服务修复平台数据库查询耗时canvasid:{},uuid:{},datasetid:{},time:{}秒", new Object[]{dto.getCanvasid(), dto.getUuid(), dto.getDatasetid(), Long.valueOf((System.currentTimeMillis() - starttime) / 1000L)});
         if(NonUtil.isNon(list)) {
            this.logger.info("服务修复平台动作组件canvasid:{}数据查询出的数量为:0", canvasid);
            return ret;
         }

         this.logger.info("服务修复平台动作组件canvasid:{}数据查询出的数量为:{}", canvasid, Integer.valueOf(list.size()));
      } catch (Exception var51) {
         this.logger.error("动作组件数据查询异常", var51);
         return ret.setFail("动作组件数据查询异常");
      }

      String var59 = "/data/finedo/canvasfile/newitil";
      String temppath = "/canvas/datafile/newitil";
      File entryDir = new File(var59);
      if(!entryDir.exists() || !entryDir.isDirectory()) {
         entryDir.mkdirs();
      }

      File entryDir1 = new File(temppath);
      if(!entryDir1.exists() || !entryDir1.isDirectory()) {
         entryDir1.mkdirs();
      }

      BufferedWriter writer = null;
      String time = (new SimpleDateFormat("yyyyMMddHHmmss")).format(new Date());
      String uuid_ = dto.getUuid().substring(0, 4);
      String filename = dto.getCanvasid() + "_" + uuid_ + "_" + time + ".dat";

      String var60;
      label300: {
         ReturnValueDomain ftpport;
         try {
            writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(temppath + File.separator + filename), "UTF-8"));
            Iterator endtime = list.iterator();

            while(endtime.hasNext()) {
               Map var61 = (Map)endtime.next();
               params.put("questionid", var61.get("questionid") == null?"":String.valueOf(var61.get("questionid")));
               params.put("phonenumber", String.valueOf(var61.get("phonenum")));
               params.put("cityname", PublicCache.areaMap.get(var61.get("areacode")));
               params.put("actioncompid", var61.get("newuuid") == null?dto.getUuid():String.valueOf(var61.get("newuuid")));
               params.put("wg_name", String.valueOf(var61.get("uccgn")));
               params.put("wwg_name", String.valueOf(var61.get("uccmn")));
               ArrayList ftpuser = new ArrayList();
               jsonMap.forEach((value, label) -> {
                  HashMap label = new HashMap();
                  if(!"手机号码".equals(value) && !"product_no".equals(value)) {
                     label.put("labelid", String.valueOf(value));
                     label.put("labelvalue", String.valueOf(var61.get(key)));
                  } else {
                     label.put("labelid", "手机号码");
                     label.put("labelvalue", String.valueOf(var61.get("phonenum")));
                  }

                  ftpuser.add(label);
                  if("区县".equals(value)) {
                     params.put("country", String.valueOf(var61.get(key)));
                  }

                  String uccmn;
                  if(NonUtil.isNon(var61.get("uccgn")) && "网格".equals(value)) {
                     uccmn = String.valueOf(var61.get(key)).split(",")[0];
                     params.put("wg_name", uccmn);
                  }

                  if(NonUtil.isNon(var61.get("uccmn")) && "微网格".equals(value)) {
                     uccmn = String.valueOf(var61.get(key)).split(",")[0];
                     params.put("wwg_name", uccmn);
                  }

               });
               params.put("labelist", ftpuser);
               writer.write(JSONObject.toJSONString(params).replaceAll("\\n", ""));
               writer.write("\r\n");
               writer.flush();
            }

            var60 = "";
            String var62 = "";

            for(int var63 = 0; var63 < list.size(); ++var63) {
               var60 = var60 + "\'" + ((Map)list.get(var63)).get("phonenum") + "\',";
               if(var63 != 0 && var63 % 500 == 0) {
                  var60 = var60.substring(0, var60.length() - 1);
                  var62 = "update tb_sc_action_data set status=\'10D\' where canvas_id=\'" + dto.getCanvasid() + "\' and uuid=\'" + dto.getUuid() + "\' and action_id=\'10\' and status=\'10I\' and phonenum in(" + var60 + ") ";
                  this.fsdpjdbcTemplate.updateNohis(var62);
                  var60 = "";
               }
            }

            if(NonUtil.isNotNon(var60)) {
               var60 = var60.substring(0, var60.length() - 1);
               var62 = "update tb_sc_action_data set status=\'10D\' where canvas_id=\'" + dto.getCanvasid() + "\' and uuid=\'" + dto.getUuid() + "\' and action_id=\'10\' and status=\'10I\' and phonenum in(" + var60 + ") ";
               this.fsdpjdbcTemplate.updateNohis(var62);
            }

            this.logger.info("服务修复平台数据集状态更新完成耗时canvasid:{},uuid:{},datasetid:{},time:{}秒", new Object[]{dto.getCanvasid(), dto.getUuid(), dto.getDatasetid(), Long.valueOf((System.currentTimeMillis() - starttime) / 1000L)});
            this.noticeThread(list, alias, dto.getUuid());
            break label300;
         } catch (Exception var49) {
            this.logger.error("文件上传失败！", var49);
            ftpport = ret.setFail("文件上传失败！");
         } finally {
            if(writer != null) {
               try {
                  writer.flush();
                  writer.close();
               } catch (IOException var46) {
                  var46.printStackTrace();
               }
            }

         }

         return ftpport;
      }

      try {
         var60 = ConfigManager.getInstance().getString("ftpip");
         int var65 = Integer.parseInt(ConfigManager.getInstance().getString("ftpport"));
         String var66 = ConfigManager.getInstance().getString("ftpuser");
         String ftppasswd = ConfigManager.getInstance().getString("ftppasswd");
         String filelocalpath = temppath + File.separator + filename;
         FileUpUtils.initFtp(var60, var65, var66, ftppasswd, var59, filelocalpath);
         File oldpaths = new File(filelocalpath);
         String bakpath = "/canvas/datafile/newitil/bak/";
         oldpaths.renameTo(new File(bakpath + oldpaths.getName()));
      } catch (Exception var47) {
         var47.printStackTrace();
      }

      long var64 = System.currentTimeMillis();
      this.logger.info("服务修复平台文件名filename:{}", filename);
      this.logger.info("服务修复平台文件推送总耗时为canvasid:{},uuid:{},datasetid:{},time:{}秒", new Object[]{dto.getCanvasid(), dto.getUuid(), dto.getDatasetid(), Long.valueOf((var64 - starttime) / 1000L)});
      return ret;
   }

   public void noticeThread(List list, String alias, String uuid) {
      int totalNum = list.size();
      short subListLength = 10000;
      int pageNum = totalNum % subListLength == 0?totalNum / subListLength:totalNum / subListLength + 1;
      ExecutorService executor = Executors.newFixedThreadPool(pageNum);

      try {
         CountDownLatch e = new CountDownLatch(pageNum);

         for(int i = 0; i < pageNum; ++i) {
            int fromIndex = i * subListLength;
            int toIndex = Math.min(totalNum, fromIndex + subListLength);
            List subData = list.subList(fromIndex, toIndex);
            executor.execute(new Thread(new 1(this, subData, alias, uuid, e)));
         }
      } catch (Exception var16) {
         var16.printStackTrace();
      } finally {
         executor.shutdown();
      }

   }

   public void noticeSendLog(List subData, String alias, String uuid) {
      Iterator var4 = subData.iterator();

      while(var4.hasNext()) {
         Map dto = (Map)var4.next();
         LogFeedbackDomain logFeedbackDomain = new LogFeedbackDomain();
         logFeedbackDomain.setFeedback("018");
         logFeedbackDomain.setActioncomptype("newitil");
         logFeedbackDomain.setAlias(alias);
         logFeedbackDomain.setTimestamp(DateUtil.getNowTime("yyyy-MM-dd HH:mm:ss"));
         logFeedbackDomain.setCanvasid(String.valueOf(dto.get("canvasid")));
         logFeedbackDomain.setActioncompid(uuid);
         logFeedbackDomain.setPhone(String.valueOf(dto.get("phonenum")));
         JSONObject logFeedbackJson = (JSONObject)JSONObject.toJSON(logFeedbackDomain);
         JSONObject finalLogFeedbackJson = new JSONObject();
         finalLogFeedbackJson.put("ROOT", logFeedbackJson);
         String logFeedbackUrl = ServerConfigUtil.getString("logFeedback");
         HttpClientResponse response = HttpClientUtil.httpPostContent(logFeedbackUrl, JSONObject.toJSONString(finalLogFeedbackJson), (Map)null, "application/json", "UTF-8");
         if(response.isSuccess()) {
            this.logger.info("调用经分日志推送接口成功！");
         } else {
            this.logger.error("调用经分日志推送接口失败！");
         }
      }

   }
}
